# Annotation Interface Internal

@Incubating @Documented @Retention(RUNTIME) @Target({METHOD,FIELD}) public @interface Internal

Attached to a task property to indicate that the property is not to be taken into account for up-to-date checking.

This annotation should be attached to the getter method in Java or the property in Groovy. Annotations on setters or just the field in Java are ignored.

This will cause the task not to be considered out-of-date when the property has changed.

## Optional Element Summary

Optional Elements
Modifier and Type
Optional Element
Description
`String`
`value`
The reason for ignoring this element.

## Element Details

### value

String value
The reason for ignoring this element.

Default:
  `""`